AttachNetworkInterface

1. API Description

This API (AttachNetworkInterface) is used to attach the vNIC to the instance.

circle-info

Note

  • Up to 8 vNICs can be attached per instance.

  • vNICs can only be attached to instances in the running state.

  • vNIC state must be AVAILABLE.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

nicId

Yes

String

ID of the vNIC.

instanceId

Yes

String

ID of the instance.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Attach the vNIC to the instance.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AttachNetworkInterface
<Common Request Params>

Request:
{
  "nicId": "XXX",
  "instanceId": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_INSTANCE_NOT_FOUND

Instance not found.

400

INVALID_NIC_ATTACHED

The vNIC has attached to an instance already.

409

INVALID_NIC_INSTANCE_REGION_MISMATCH

Instance and vNIC are not in the same zone.

404

INVALID_NIC_NOT_FOUND

vNIC does not exist.

400

INVALID_NIC_STATUS

Current vNIC state does not allow this operation.

400

OPERATION_DENIED_INSTANCE_STATUS_NOT_SUPPORT

Current instance state does not allow this operation.

Last updated